<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@180945=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@18131F=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@181358=AF</action>
      <action condition="(param==01)">maincpu.pb@181300=10|(maincpu.pb@181300 BAND ~10)</action>
      <action condition="(param==02)">maincpu.pb@181358=01</action>
      <action condition="(param==02)">maincpu.pb@181300=00|(maincpu.pb@181300 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1809C5=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@181B1F=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@181B58=AF</action>
      <action condition="(param==01)">maincpu.pb@181B00=10|(maincpu.pb@181B00 BAND ~10)</action>
      <action condition="(param==02)">maincpu.pb@181B58=01</action>
      <action condition="(param==02)">maincpu.pb@181B00=00|(maincpu.pb@181B00 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@180A45=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@18231F=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@182358=AF</action>
      <action condition="(param==01)">maincpu.pb@182300=10|(maincpu.pb@182300 BAND ~10)</action>
      <action condition="(param==02)">maincpu.pb@182358=01</action>
      <action condition="(param==02)">maincpu.pb@182300=00|(maincpu.pb@182300 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@180AC5=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL4">
    <script state="run">
      <action>maincpu.pb@182B1F=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL4">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@182B58=AF</action>
      <action condition="(param==01)">maincpu.pb@182B00=10|(maincpu.pb@182B00 BAND ~10)</action>
      <action condition="(param==02)">maincpu.pb@182B58=01</action>
      <action condition="(param==02)">maincpu.pb@182B00=00|(maincpu.pb@182B00 BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
